Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456305 - whiptail --noitem option does not work for checklist and radiolist
Summary: whiptail --noitem option does not work for checklist and radiolist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: newt
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 18:21 UTC by Petr Šplíchal
Modified: 2016-06-01 01:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 08:40:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1482 normal SHIPPED_LIVE newt bug fix update 2009-10-07 08:40:26 UTC

Description Petr Šplíchal 2008-07-22 18:21:02 UTC
Description of problem:

Using --noitem option for omitting item names in checkbox and/or radio lists
results in usage message, while the same option works with --menu well.

Version-Release number of selected component (if applicable):
newt-0.52.2-12.el5.x86_64

How reproducible:
Always

Steps to Reproduce:
whiptail --checklist Check 12 77 3 tag1 item1 on   tag2 item2 on  tag3 item3 on
--noitem
or
whiptail --radiolist Radio 12 77 3 tag1 item1 off   tag2 item2 on  tag3 item3
off --noitem
  
Actual results:
usage message

Expected results:
checklist/radiolist with tags only (items not displayed)

(Man page says: The menu, checklist and radiolist widgets will display tags
only, not the item strings.)

Additional info:
Expected behaviour can be compared with fully functional --menu option:
whiptail --menu Menu 12 77 3 tag1 item1 tag2 item2 tag3 item3
whiptail --menu Menu 12 77 3 tag1 item1 tag2 item2 tag3 item3 --noitem

Comment 1 Miroslav Lichvar 2008-07-24 10:49:23 UTC
Unfortunately there is inconsistency between menu and checklist/radiolist with
--noitem. Menu still needs the items to be specified, but checklist/radiolist don't.

The correct usage is:
whiptail --checklist Check 12 77 3 tag1 on tag2 on tag3 on --noitem

So this is a documentation bug.

Comment 2 RHEL Product and Program Management 2009-03-26 17:05:54 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 9 errata-xmlrpc 2009-10-07 08:40:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1482.html


Note You need to log in before you can comment on or make changes to this bug.